
.carousel{
    
    max-width: 100%;
    background-color: black;
    position: relative;
    object-fit: cover;
    height: 550px;
    overflow: hidden;
}


.carousel_slide{
    position: absolute;
    /* top: 70px; */
    /* top: -10%; */
    top:0;
    bottom: 0;
    /* left: -40px; */
    width: 100%;
}

.carousel_label{
    position: absolute;
    font-size: 1.5rem;
    font-weight: 800;
    height: 100%;
    top: 0px;
    left: 90px;
    align-items: center;
    color: white;
    z-index: 1;
    /* width: 50vw; */
    transform: translateX(-50%);
    background: linear-gradient(to right, rgba(33, 29, 29, 0.7), transparent);
    /* background: linear-gradient(to right, rgba(255, 255, 255, 0.7), transparent); */
}

.carousel_label_text{
    margin-left: 500px;
    position: relative;
    width: 500px;
  height: 1.5em; /* Adjust the height as needed */
  /* overflow: hidden; */
  z-index: 2;
}

.carousel_track .carousel_slide img{
    width: 100vw;
    /* height: 500px; */
    height: calc(100vh - 150px);
    
}



.carousel_track{
    padding: 0;
    margin: 0;
    /* height: calc(100vh - 150px); */
    /* overflow: hidden; */
    list-style: none;
    transition: transform 250ms ease-in;
    
}

.carousel_button{
    position: absolute;
    top: calc(50vh - 60px);
    width: 50px;
    height: 50px;
    background: transparent;
    border: 1px solid black;
    border-radius: 50%;
    cursor: pointer;
    z-index: 2;
    display: none;
}


.carousel_btn--left{
    left: 10px;
}

.carousel_btn--right{
    right: 10px;
}

.carousel_button img{
    width: 48px;
    height: 48px;
    border-radius: 50%;
}

.carousel_nav{
    
    height: 0px;
    position: absolute;
    display: flex;
    justify-content: center;
    /* top: calc(90vh - 30px); */
    top: 60%;
    z-index: 2;
    left: 10%;
    gap: 1rem;
    cursor: pointer;
}

.carousel_nav button{
    cursor: pointer;
}

.carousel_indicator{
    border: 4px solid rgb(20, 14, 14);
    border-radius: 50%;
    width: 20px;
    height: 20px;
    background-color: rgb(255, 255, 255);
}

.carousel_indicator.current_slide{
    background-color: rgba(0, 0, 0, .75);
}

.is-hidden {display: none;}


/* This CSS for text animation label on top of image */

/* .carousel_label_text ul {
    list-style: none;
    padding: 0;
    margin: 0;
    overflow: hidden;
  }
  
  .carousel_label_text li {
    opacity: 0;
    transform: translateY(0);
    transition: opacity 0.5s ease, transform 0.5s ease;
  } */
  
 
  
  /* .carousel_label_text li.hide {
    opacity: 0;
    transform: translateY(0);
  } */
  /* .carousel_label_text li:first-child {
    transition-delay: 0s;
  }
  
  .carousel_label_text li:nth-child(2) {
    transition-delay: 3s; /* 3s delay for the second item 
  } */
  
  /* Add more rules for additional li elements as needed */
  
  /* .carousel_label_text li.show {
    opacity: 1;
    transform: translateY(0);
  } */

  .carousel-item {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    opacity: 0;
    transition: opacity 0.5s ease;
  }
  
  .carousel-item.show {
    opacity: 1;
  }

  @media screen and (min-width: 300px) and (max-width: 800px){

    .carousel{
      height: 400px;

    }
    .carousel_track{
      height: 400px ;
    }
    .carousel_track .carousel_slide img{
      width: 100vw;
      /* height: 500px; */
      /* border: 10px solid black; */
      height: 400px;
      
  }
  .carousel_label{
    font-size: 1.2rem;
  }
  }